TrieField.TrieTypes (Solr 3.6.2 API)
Keywords: org.apache.solr.schema.TrieField.TrieTypes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.schema
Enum TrieField.TrieTypes

    java.lang.Object
      java.lang.Enum<TrieField.TrieTypes>
          org.apache.solr.schema.TrieField.TrieTypes

All Implemented Interfaces:
  Serializable, Comparable<TrieField.TrieTypes>

Enclosing class:
  TrieField

    public static enum TrieField.TrieTypes

extends Enum<TrieField.TrieTypes>

Enum Constant Summary
`DATE`
`DOUBLE`
`FLOAT`
`INTEGER`
`LONG`

Method Summary
`static TrieField.TrieTypes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TrieField.TrieTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INTEGER

    public static final TrieField.TrieTypes INTEGER

### LONG

    public static final TrieField.TrieTypes LONG

### FLOAT

    public static final TrieField.TrieTypes FLOAT

### DOUBLE

    public static final TrieField.TrieTypes DOUBLE

### DATE

    public static final TrieField.TrieTypes DATE

Method Detail

### values

    public static final TrieField.TrieTypes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TrieField.TrieTypes c : TrieField.TrieTypes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TrieField.TrieTypes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD